<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'ebuy',

    /*
     * Package.
     */
    'package'   => 'order',

    /*
     * Modules.
     */
    'modules'   => ['order'],

    
    'order'       => [
        'model' => [
            'model' => \Ebuy\Order\Models\Order::class,
            'repository' => \Ebuy\Order\Repositories\Eloquent\OrderRepository::class,
            'table' => 'orders',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'createdat', 'updated_at'],
            'appends' => [],
            'fillable' => ['id',  'address_id',  'total',  'payment_mode',  'payment_status',  'payment_id',  'razorpay_payment_id',  'razorpay_order_id',  'razorpay_signature',  'status',  'reason',  'comments',  'user_type',  'user_id',  'deleted_at',  'created_at',  'updated_at'],
            'translatables' => [],
            'upload_folder' => 'order/order',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider' => 'Ebuy',
            'package' => 'Order',
            'module' => 'Order',
        ],
    ],
];
